Subject: Re: [PATCH] To make GIT-VERSION-FILE, search for git more widely

From: Michael J Gruber <[email-masked]>
Date: Thu, 07 May 2009 11:02:18 +0200

Johannes Sixt venit, vidit, dixit 07.05.2009 10:47:
> Junio C Hamano schrieb:
>> Matthias Andree <[email-masked]> writes:
>>
>>> Problem: when git is installed into /usr/local/bin, running 'sudo make
>>> install' won't find git in $PATH (because sudo strips PATH, for instance
>>> on openSUSE 11.1, and doesn't include /usr/local/whatever).
>>
>> That sounds like a bug/misfeature in sudo (which I do not use) to me.
> 
> sudo resets the environment, in particular also PATH. Why would this be a bug?
> 
> Current distros set env_reset in /etc/soduers for a reason. Not that I
> know the reason in detail, but I won't claim that I'm more clever with
> regards to security issues than distro packagers; so I trust that if they
> do it, then it makes sense.
> 
> -- Hannes

sudo's behaviour is fine, but the OP's is not: doing "sudo make install"
amounts to building git as root, unless you have done a make as non-root
before. If you have done that make then GIT-VERSION-FILE will be
up-to-date, and GIT-VERSION-GEN will not even be called by "make install".

So I think the proposed patch would encourage wrong behaviour. (also,
the commit message mixes up ...-GEN and ...-FILE)

Michael